%define anolis_release 1

%global srcname cpuinfo

Name:           python-%{srcname}
Version:        9.0.0
Release:        %{anolis_release}%{?dist}
Summary:        Getting CPU info

License:        MIT
URL:            https://github.com/workhorsy/py-cpuinfo
Source0:        https://files.pythonhosted.org/packages/source/p/py-%{srcname}/py-%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register


%package -n python3-%{srcname}
Summary:        Getting CPU info
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register

%package -n python3-%{srcname}-doc
Summary: Doc files for python3-%{srcname}
Requires: python3-%{srcname} = %{EVR}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%setup -q -n py-%{srcname}-%{version}
rm -rf *.egg-info

sed -i -e '/^#!\//, 1d' cpuinfo/cpuinfo.py


%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/cpuinfo
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/py_%{srcname}-%{version}-py3.*.egg-info

%files -n python3-%{srcname}-doc
%doc README.rst ChangeLog

%changelog
* Wed Nov 29 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 9.0.0-1
- init from upstream
